<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;
global $generator;
$ankieta->writeGap();

$order=$ankieta->getNextSubmitParameters()['order'];
$testedProduct=$ankieta->getValue('PROD'.$order."PR");
$testedProdctLabs=$ankieta->getLabels('PROD'.$order."PR");

$ankieta->writeGap();
//$ankieta->writeHeader("POŁĄCZENIE CZEKOLANDY Z PIANKĄ - ".$testedProdctLabs[$testedProduct]);
//$ankieta->writeGap();

//[^uncheckById(["P2","P3","P4","P5"])^]
//[^showOrClean(input,["P2","P3","P4","P5","P6"])^]
//[^clean(["P2","P3","P4","P5","P6"])^]
//[^showOrClean($("input[name=P1]"),["P2"])^]




$answers=array();
$answers[1]="Korek można łatwo otworzyć i zamknąć jedną ręką [^uncheckById(['Q19_".$order."_99'])^]";
$answers[2]="Butelka jest poręczna, łatwo nią operować [^uncheckById(['Q19_".$order."_99'])^]";
$answers[3]="Butelka nie wgniata się podczas używania, nie jest zbyt miękka [^uncheckById(['Q19_".$order."_99'])^]";
$answers[4]="Butelka jest stabilna [^uncheckById(['Q19_".$order."_99'])^]";
$answers[5]="Korek jest solidny/trwały [^uncheckById(['Q19_".$order."_99'])^]";
$answers[6]="W czasie nalewania olej nie chlapie, nie chlusta [^uncheckById(['Q19_".$order."_99'])^]";
$answers[7]="Korek ma precyzyjny dozownik – możliwość dozowania małego i dużego strumienia [^uncheckById(['Q19_".$order."_99'])^]";
$answers[8]="Korek jest prosty, nieskomplikowany w obsłudze, intuicyjny – wiadomo jak nim operować [^uncheckById(['Q19_".$order."_99'])^]";
$answers[9]="Butelka zapewnia wygodniejsze używanie niż butelka używana do tej pory [^uncheckById(['Q19_".$order."_99'])^]";
$answers[10]="Ma korek, z którego nie kapie olej i nie brudzi butelki [^uncheckById(['Q19_".$order."_99'])^]";
$answers[11]="Korek daje wyraźny sygnał `click’, dzięki czemu mam pewność zamknięcia [^uncheckById(['Q19_".$order."_99'])^]";
if ($generator==false) {
    shuffleAssoc($answers);
}
$answers[99]="Żadne z powyższych [^uncheckById(['Q19_".$order."_1','Q19_".$order."_2','Q19_".$order."_3','Q19_".$order."_4','Q19_".$order."_5','Q19_".$order."_6','Q19_".$order."_7','Q19_".$order."_8','Q19_".$order."_9','Q19_".$order."_10','Q19_".$order."_11'])^]";
$ankieta->writeCheckbox('Q19_'.$order,'Q19. Które z poniższych stwierdzeń pasują do opakowania, które Pani testowała?',$answers,true,@clean($data['Q19_'.$order]),'NUMERIC');




//$answers=array();
//$answers[5]='zdecydowanie za dużo goryczki';
//$answers[4]='raczej za dużo goryczki';
//$answers[3]='w sam raz';
//$answers[2]='raczej za mało goryczki';
//$answers[1]='zdecydowanie za mało goryczki';
//$ankieta->writeRadio('A8_'.$order,'Jak ogólnie ocenia Pan[i|] <b>ilość goryczki</b> w tym napoju piwnym?',$answers,true,@clean($data['A8_'.$order]),'NUMERIC');

//$answers=array();
//$answers[5]='zdecydowanie za dużo alkoholu';
//$answers[4]='raczej za dużo alkoholu';
//$answers[3]='w sam raz';
//$answers[2]='raczej za mało alkoholu';
//$answers[1]='zdecydowanie za mało alkoholu';
//$ankieta->writeRadio('A8a_'.$order,'Jak ogólnie ocenia Pan[i|] <b>zawartość alkoholu</b> w tym napoju piwnym?',$answers,true,@clean($data['A8a_'.$order]),'NUMERIC');

